Package org.eclipse.handly.junit

# Class NoJobsWorkspaceTestCase

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.eclipse.handly.junit.WorkspaceTestCase
org.eclipse.handly.junit.NoJobsWorkspaceTestCase

All Implemented Interfaces:
  `junit.framework.Test`

public class NoJobsWorkspaceTestCase extends WorkspaceTestCase
A `WorkspaceTestCase` that suspends execution of all jobs in its `setUp()` method and resumes execution of jobs in its `tearDown()` method. It ensures that no jobs will execute while a test is running.

Since:
  1.7

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoJobsWorkspaceTestCase()`
  No-arg constructor to enable serialization.
  `NoJobsWorkspaceTestCase(String name)`
  Constructs a test case with the given name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `setUp()`
  Turns auto-build off, cleans up the workspace.
  `protected void`
  `tearDown()`
  Cleans up the workspace.

  ### Methods inherited from class org.eclipse.handly.junit.WorkspaceTestCase

  `buildWorkspace, cleanUpWorkspace, getProject, getWorkspace, getWorkspaceRoot, resumeJobs, setAutoBuilding, setUpProject, suspendJobs, waitForBuildCompletion`

  ### Methods inherited from class junit.framework.TestCase

  `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoJobsWorkspaceTestCase

    public NoJobsWorkspaceTestCase()
    No-arg constructor to enable serialization. This method is not intended to be used by mere mortals without calling setName().

  - ### NoJobsWorkspaceTestCase

    public NoJobsWorkspaceTestCase(String name)
    Constructs a test case with the given name.

- ## Method Details

  - ### setUp

    protected void setUp() throws Exception
    Description copied from class: `WorkspaceTestCase`
    Turns auto-build off, cleans up the workspace.
    Overrides:
      `setUp` in class `WorkspaceTestCase`
    Throws:
      `Exception`

  - ### tearDown

    protected void tearDown() throws Exception
    Description copied from class: `WorkspaceTestCase`
    Cleans up the workspace.
    Overrides:
      `tearDown` in class `WorkspaceTestCase`
    Throws:
      `Exception`